Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
events
curl --request POST \ --url https://app.aiinsurance.io/api/external/companies/{companyId}/events \ --header 'Authorization: <api-key>' \ --header 'Content-Type: application/json' \ --data ' { "type": "claim", "coverageTypeId": "general_liability", "insuredIds": [ "550e8400-e29b-41d4-a716-446655440200" ] } '
{ "id": "550e8400-e29b-41d4-a716-446655440003" }

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json
type
enum<string>
required

Type of event (claim or incident)

Available options:
claim,
incident
coverageTypeId
string
required

Coverage type identifier for this event

insuredIds
string<uuid>[]
required

IDs of insureds to associate with this event

status
enum<string>

Status of the event

Available options:
open,
closed
lawsuitId
string<uuid>

Optional lawsuit ID to associate with this event (must reference an existing lawsuit)

policyId
string<uuid>

Optional policy ID to associate with this event

data
object

Custom entity data fields as key-value pairs. Keys should be field keys (e.g., 'reportDate', 'eventDescription').

Response

Event created successfully

id
string<uuid>

The ID of the created event